Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Model.Slot

Enclosing interface:
  Model

    public static interface Model.Slot

System slot names

Author:
  Ray Fergerson

Field Summary
`static String` | `ANNOTATED_INSTANCE`
`static String` | `ANNOTATION_TEXT`
`static String` | `ASSOCIATED_FACET`
`static String` | `ASSOCIATED_SLOT`
`static String` | `CARDINALITY`
`static String` | `COLLECTION_TYPE`
`static String` | `CONSTRAINTS`
`static String` | `CREATION_TIMESTAMP`
`static String` | `CREATOR`
`static String` | `DEFAULTS`
`static String` | `DIRECT_ATTACHED_CLASSES` Deprecated. Use #DIRECT_DOMAIN
`static String` | `DIRECT_DOMAIN`
`static String` | `DIRECT_INSTANCES`
`static String` | `DIRECT_SUBCLASSES`
`static String` | `DIRECT_SUBSLOTS`
`static String` | `DIRECT_SUPERCLASSES`
`static String` | `DIRECT_SUPERSLOTS`
`static String` | `DIRECT_TEMPLATE_SLOTS`
`static String` | `DIRECT_TYPE` Deprecated. Use #DIRECT_TYPES
`static String` | `DIRECT_TYPES`
`static String` | `DOCUMENTATION`
`static String` | `DOMAIN`
`static String` | `FROM`
`static String` | `INVERSE`
`static String` | `MAXIMUM_CARDINALITY`
`static String` | `MINIMUM_CARDINALITY`
`static String` | `MODIFICATION_TIMESTAMP`
`static String` | `MODIFIER`
`static String` | `NAME`
`static String` | `NOT_SAME_VALUES`
`static String` | `NUMERIC_MAXIMUM`
`static String` | `NUMERIC_MINIMUM`
`static String` | `PAL_DESCRIPTION`
`static String` | `PAL_NAME`
`static String` | `PAL_RANGE`
`static String` | `PAL_STATEMENT`
`static String` | `ROLE`
`static String` | `SAME_VALUES`
`static String` | `SOME_VALUES`
`static String` | `SUBSET_OF_VALUES`
`static String` | `TO`
`static String` | `VALUE_TYPE`
`static String` | `VALUES`

Field Detail

### DOCUMENTATION

    static final String DOCUMENTATION

See Also:
  Constant Field Values

### DOMAIN

    static final String DOMAIN

See Also:
  Constant Field Values

### NAME

    static final String NAME

See Also:
  Constant Field Values

### ROLE

    static final String ROLE

See Also:
  Constant Field Values

### DIRECT_SUPERCLASSES

    static final String DIRECT_SUPERCLASSES

See Also:
  Constant Field Values

### DIRECT_SUBCLASSES

    static final String DIRECT_SUBCLASSES

See Also:
  Constant Field Values

### DIRECT_TYPES

    static final String DIRECT_TYPES

See Also:
  Constant Field Values

### DIRECT_TYPE

    static final String DIRECT_TYPE

  Deprecated. Use #DIRECT_TYPES
  See Also:
    Constant Field Values

### DIRECT_INSTANCES

    static final String DIRECT_INSTANCES

See Also:
  Constant Field Values

### DIRECT_TEMPLATE_SLOTS

    static final String DIRECT_TEMPLATE_SLOTS

See Also:
  Constant Field Values

### ASSOCIATED_FACET

    static final String ASSOCIATED_FACET

See Also:
  Constant Field Values

### CONSTRAINTS

    static final String CONSTRAINTS

See Also:
  Constant Field Values

### DEFAULTS

    static final String DEFAULTS

See Also:
  Constant Field Values

### VALUE_TYPE

    static final String VALUE_TYPE

See Also:
  Constant Field Values

### INVERSE

    static final String INVERSE

See Also:
  Constant Field Values

### CARDINALITY

    static final String CARDINALITY

See Also:
  Constant Field Values

### MAXIMUM_CARDINALITY

    static final String MAXIMUM_CARDINALITY

See Also:
  Constant Field Values

### MINIMUM_CARDINALITY

    static final String MINIMUM_CARDINALITY

See Also:
  Constant Field Values

### SAME_VALUES

    static final String SAME_VALUES

See Also:
  Constant Field Values

### NOT_SAME_VALUES

    static final String NOT_SAME_VALUES

See Also:
  Constant Field Values

### SUBSET_OF_VALUES

    static final String SUBSET_OF_VALUES

See Also:
  Constant Field Values

### NUMERIC_MINIMUM

    static final String NUMERIC_MINIMUM

See Also:
  Constant Field Values

### NUMERIC_MAXIMUM

    static final String NUMERIC_MAXIMUM

See Also:
  Constant Field Values

### SOME_VALUES

    static final String SOME_VALUES

See Also:
  Constant Field Values

### COLLECTION_TYPE

    static final String COLLECTION_TYPE

See Also:
  Constant Field Values

### PAL_STATEMENT

    static final String PAL_STATEMENT

See Also:
  Constant Field Values

### PAL_DESCRIPTION

    static final String PAL_DESCRIPTION

See Also:
  Constant Field Values

### PAL_NAME

    static final String PAL_NAME

See Also:
  Constant Field Values

### PAL_RANGE

    static final String PAL_RANGE

See Also:
  Constant Field Values

### VALUES

    static final String VALUES

See Also:
  Constant Field Values

### DIRECT_SUBSLOTS

    static final String DIRECT_SUBSLOTS

See Also:
  Constant Field Values

### DIRECT_SUPERSLOTS

    static final String DIRECT_SUPERSLOTS

See Also:
  Constant Field Values

### ANNOTATED_INSTANCE

    static final String ANNOTATED_INSTANCE

See Also:
  Constant Field Values

### ANNOTATION_TEXT

    static final String ANNOTATION_TEXT

See Also:
  Constant Field Values

### CREATOR

    static final String CREATOR

See Also:
  Constant Field Values

### CREATION_TIMESTAMP

    static final String CREATION_TIMESTAMP

See Also:
  Constant Field Values

### ASSOCIATED_SLOT

    static final String ASSOCIATED_SLOT

See Also:
  Constant Field Values

### MODIFIER

    static final String MODIFIER

See Also:
  Constant Field Values

### MODIFICATION_TIMESTAMP

    static final String MODIFICATION_TIMESTAMP

See Also:
  Constant Field Values

### FROM

    static final String FROM

See Also:
  Constant Field Values

### TO

    static final String TO

See Also:
  Constant Field Values

### DIRECT_DOMAIN

    static final String DIRECT_DOMAIN

See Also:
  Constant Field Values

### DIRECT_ATTACHED_CLASSES

    static final String DIRECT_ATTACHED_CLASSES

  Deprecated. Use #DIRECT_DOMAIN
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.